Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227725 - Tcl needs to Provide: an abi version
Summary: Tcl needs to Provide: an abi version
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tcl
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-07 19:28 UTC by Wart
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-06 07:21:56 UTC


Attachments (Terms of Use)

Description Wart 2007-02-07 19:28:19 UTC
Description of problem:
Tcl applications and extensions need an easier way to require a specific Tcl
major.minor version, ignoring the patchlevel.  For example, if I have a Tcl
package that requires Tcl 8.4, but won't work with Tcl 8.5, I need to express
this as:

Requires: tcl < 8.5.0, tcl >= 8.4.0

It would be much simpler to use:

Requires: tcl(abi) = 8.4

Version-Release number of selected component (if applicable):
tcl-8.5a5-7.fc7

Additional info:
This should be easy to fix.  Add the following line to the Tcl spec file:
Provides: tcl(abi)=%{majorver}

Comment 1 Marcela Mašláňová 2007-03-21 12:39:21 UTC
Fix in tcl-8.4.13-15.fc7

Comment 2 Sander Hoentjen 2007-03-22 19:41:51 UTC
where would i be able to find this version?
http://cvs.fedora.redhat.com/viewcvs/devel/tcl/ doesn't seem to have it.

Comment 3 Marcela Mašláňová 2007-03-26 14:32:22 UTC
Sorry it's tcl-8.4.13-14.fc7

Comment 4 Sander Hoentjen 2007-03-26 15:26:33 UTC
The same applies for tcl-8.4.13-14.fc7. The newest version in rawhide and in
http://cvs.fedora.redhat.com/viewcvs/devel/tcl/ is tcl-8.4.13-13.fc7



Comment 5 Wart 2007-04-05 17:35:03 UTC
The fix is not quite correct:

Provides: tcl(abi)=%{majorver}

...should be

Provides: tcl(abi) = %{majorver}

Note the spaces around the '=' sign.  If the spaces are not present, then the
Provides is treated as a literal unversioned string.  With the spaces, it is a
versioned Provides and comparison operators can be used, such as "Requires:
tcl(abi) > 8.4"

Comment 6 Marcela Mašláňová 2007-04-06 07:21:56 UTC
Thanks. I fixed the typo.


Note You need to log in before you can comment on or make changes to this bug.